public static final class UpdateMigrationTaskRequest.Builder extends Object
public UpdateMigrationTaskRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public UpdateMigrationTaskRequest.Builder clusterType(String clusterType)
The type of the instance. Valid values:
Nacos-Ans
public UpdateMigrationTaskRequest.Builder id(String id)
The ID of the task.
example:1
public UpdateMigrationTaskRequest.Builder originInstanceAddress(String originInstanceAddress)
The address of the source instance node.
example:192.168.1.1:8848
public UpdateMigrationTaskRequest.Builder originInstanceName(String originInstanceName)
The name of the source instance.
example:Source instance
public UpdateMigrationTaskRequest.Builder originInstanceNamespace(String originInstanceNamespace)
The list of namespaces. This parameter is optional if you want to migrate applications from a Nacos instance.
example:namesapceId1,namesapceId2
public UpdateMigrationTaskRequest.Builder projectDesc(String projectDesc)
The description.
example:This is a description.
public UpdateMigrationTaskRequest.Builder requestPars(String requestPars)
The extended request parameters in the JSON format.
example:{}
public UpdateMigrationTaskRequest.Builder syncType(String syncType)
public UpdateMigrationTaskRequest.Builder targetClusterName(String targetClusterName)
The name of the destination instance.
example:Destination instance
public UpdateMigrationTaskRequest.Builder targetClusterUrl(String targetClusterUrl)
The URL of the destination instance.
example:mse-66*****-nacos-ans.mse.aliyuncs.com:8848
public UpdateMigrationTaskRequest.Builder targetInstanceId(String targetInstanceId)
The ID of the destination instance.
example:mse-cn-ud82*****
public UpdateMigrationTaskRequest build()
Copyright © 2026. All rights reserved.